@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@1,100;1,700&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --primary-color: #2d2d2d;
    --tertiary-color: #c49f1a;
    --tertiary-color-lighter: #ebbf22;
    --tertiary-color-lightest: #ffcf21;
    --quaternary-color: #484848;
    --quinary-color: #F1F2F3;
    --senary-color: #8684ff;
    --senary-color-lighter: #afaeff;

    --max-width: 1200px;
}

::selection {
    background-color: var(--quaternary-color);
}

body {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    scrollbar-color: var(--tertiary-color) var(--quaternary-color);
}

#section_home {
    background-color: var(--primary-color);
}

.section__container {
    min-height: 100vh;
    max-width: var(--max-width);
    margin: auto;
    padding: 1rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 4rem;
}

.content{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.subtitle{
    letter-spacing: 2px;
    color: var(--tertiary-color);
    font-weight: 600;
    margin-bottom: .5rem;
    font-size: 1.3rem;
}

.title{
    font-size: 2.5rem;
    font-weight: 400;
    line-height: 3rem;
    color: var(--quinary-color);
    margin-bottom: 1rem;
}

.title span {
    font-weight: 600;
}

.description {
    font-size: 1rem;
    line-height: 1.5rem;
    margin-bottom: 2.5rem;
    color: var(--quinary-color);
}

.action_btn{
    display: flex;
    gap: 1rem;
}

.action_btn button{
    font-size: 1rem;
    font-weight: 600;
    letter-spacing: 2px;
    padding: 1rem 2rem;
    outline: none;
    border: 2px solid var(--primary-color);
    border-radius: 10px;
    transition: 0.3s;
    cursor: pointer;
}

.portfolio-button {
    color: var(--primary-color);
    background-color: var(--senary-color);
}

.portfolio-button:hover{
    background-color: var(--senary-color-lighter);
    color: #ffffff;
}

.overmij-button {
    color: var(--primary-color);
    background-color: var(--tertiary-color-lighter);
}

.overmij-button:hover {
    background-color: var(--tertiary-color-lightest);
    color: #ffffff;
}

.image{
    display: grid;
    place-items: center;
}

.image img {
    border-radius:50%;
    object-fit: cover;
    width: 300px;
    height: 300px;

}


@media  (width < 1150px) {
    .image img {
        width: 250px;
        height: 250px;
    }
}

@media  (width < 750px) {
    .section__container{
        padding: 10rem 1rem 5rem 1rem;
        text-align: center;
        grid-template-columns: repeat(1,1fr);
    }

    .image{
        grid-area: 1/1/2/2;
    }

    section .action_btn {
        justify-content: center;
    }
}

@media (width < 450px) {

    .section__container {
       justify-content: center; 
       text-align: center;
    }

    .action_btn button{
        padding: 0.7rem 1.4rem;
        font-size: 0.8rem;
        letter-spacing: 1.5px;
    }

    section .content .subtitle {
        font-size: 90%;
        margin-bottom: 0.5rem;
    }

    section .content .title {
        font-size: 200%;
        margin-bottom: 0.5rem;
    }

    section .content .description {
        font-size: 100%;
        margin-bottom: 1.5rem;
    }
}